# -*- coding: utf-8 -*-
# Generated by Django 1.11.12 on 2018-05-30 08:35
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DisciplineModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Sport discipline.', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='EventModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createtime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Create time')),
                ('lastupdatetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Time of the last change.')),
                ('no', models.IntegerField(blank=True, help_text='Sequential number of the event.', null=True)),
                ('name', models.CharField(help_text='Name of the event.', max_length=255)),
                ('start_time', models.DateTimeField(blank=True, help_text='Start date/time of the run.', null=True)),
                ('createby', models.ForeignKey(blank=True, editable=False, help_text='User how create this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='eventmodel_createby', to=settings.AUTH_USER_MODEL)),
                ('discipline', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='for_runners.DisciplineModel')),
                ('lastupdateby', models.ForeignKey(blank=True, editable=False, help_text='User as last edit this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='eventmodel_lastupdateby', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GpxModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createtime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Create time')),
                ('lastupdatetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Time of the last change.')),
                ('gpx', models.TextField(help_text='The raw gpx file content')),
                ('points_no', models.PositiveIntegerField(blank=True, help_text='Number of points in GPX', null=True)),
                ('length', models.PositiveIntegerField(blank=True, help_text='Length in meters (calculated 3-dimensional used latitude, longitude, and elevation)', null=True)),
                ('duration', models.PositiveIntegerField(blank=True, help_text='Duration in seconds', null=True)),
                ('pace', models.DecimalField(blank=True, decimal_places=2, help_text='Min/km (number of minutes it takes to cover a kilometer)', max_digits=4, null=True)),
                ('start_time', models.DateTimeField(blank=True, help_text='Start time of the first segment in track', null=True)),
                ('end_time', models.DateTimeField(blank=True, help_text='End time of the last segment in track', null=True)),
                ('uphill', models.IntegerField(blank=True, help_text='Uphill elevation climbs in meters', null=True)),
                ('downhill', models.IntegerField(blank=True, help_text='Downhill elevation descent in meters', null=True)),
                ('min_elevation', models.IntegerField(blank=True, help_text='Minimum elevation in meters', null=True)),
                ('max_elevation', models.IntegerField(blank=True, help_text='Maximum elevation in meters', null=True)),
                ('map_image', models.ImageField(blank=True, null=True, upload_to='')),
                ('createby', models.ForeignKey(blank=True, editable=False, help_text='User how create this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='gpxmodel_createby', to=settings.AUTH_USER_MODEL)),
                ('event', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='for_runners.EventModel')),
                ('lastupdateby', models.ForeignKey(blank=True, editable=False, help_text='User as last edit this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='gpxmodel_lastupdateby', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'GPX Track',
                'verbose_name_plural': 'GPX Tracks',
                'ordering': ('-start_time', '-pk'),
            },
        ),
    ]
